%global pkg_name type-level

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

%global ghc_pkg_deps ghc-syb-devel

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.2.4
Release:        8%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%{?ghc_lib_package}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Jens Petersen <petersen@redhat.com> - 0.2.4-7
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 0.2.4-6
- rebuild

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 0.2.4-5
- depends on syb for ghc7

* Fri Aug 20 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-4
- Removed ghc_pkg_deps and ghc_pkg_c_deps.

* Thu Aug 19 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-3
- Updated for cabal2spec-0.22.2.

* Tue Jul 13 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-2
- Added BSD license.
- Initial packaging for Fedora automatically generated by cabal2spec-0.22.1

* Wed Apr 07 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-1
- Initial packaging for Fedora automatically generated by cabal2spec-0.21.1
